[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# DoneCriticalSection

Clean up a critical section.

## Declaration

Source position: threadh.inc line 168

`procedure DoneCriticalSection(`
`var cs: TRTLCRITICALSECTION`
`);`

## Description

DoneCriticalsection cleans up the critical section CS. After a call to DoneCriticalsection, the critical section can no longer be used with EnterCriticalsection or LeaveCriticalsection, unless it is again initialized with InitCriticalSection

## See also

InitCriticalsection |  | Initialize a critical section
EnterCriticalsection |  | Enter a critical section
LeaveCriticalsection |  | Leave a critical section